Bug 205962 - textproc/kibana42: upgrade to version 4.2.2
Summary: textproc/kibana42: upgrade to version 4.2.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jimmy Olgeni
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-01-06 16:44 UTC by Jimmy Olgeni
Modified: 2016-01-14 00:00 UTC (History)
2 users (show)

See Also:
skozlov: maintainer-feedback+
junovitch: merge-quarterly+


Attachments
Upgrade patch (36.46 KB, patch)
2016-01-06 16:44 UTC, Jimmy Olgeni
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jimmy Olgeni freebsd_committer 2016-01-06 16:44:05 UTC
Created attachment 165163 [details]
Upgrade patch

Upgrade to version 4.2.2.

Poudriere log here:

http://olgeni.olgeni.com/~olgeni/log/kibana42-4.2.2.log
Comment 1 commit-hook freebsd_committer 2016-01-07 16:09:24 UTC
A commit references this bug:

Author: olgeni
Date: Thu Jan  7 16:09:04 UTC 2016
New revision: 405464
URL: https://svnweb.freebsd.org/changeset/ports/405464

Log:
  Upgrade textproc/kibana42 to version 4.2.2.

  PR:		205962
  Submitted by:	olgeni
  Approved by:	maintainer

Changes:
  head/textproc/kibana42/Makefile
  head/textproc/kibana42/distinfo
  head/textproc/kibana42/pkg-plist
Comment 2 Jimmy Olgeni freebsd_committer 2016-01-07 16:11:48 UTC
Patch committed.
Comment 3 Jason Unovitch freebsd_committer 2016-01-08 00:06:01 UTC
Reopen and set merge-quarterly?.  Can this get MFH'd?   See https://www.elastic.co/blog/kibana-4-3-1-and-4-2-2-and-4-1-4 as there is a security issue documented.

4.2.2 Changes
Fixes XSS vulnerability (CVE pending) - Thanks to Vladimir Ivanov for responsibly reporting
Comment 4 Jimmy Olgeni freebsd_committer 2016-01-08 08:59:11 UTC
https://reviews.freebsd.org/D4830
Comment 5 commit-hook freebsd_committer 2016-01-13 23:58:09 UTC
A commit references this bug:

Author: junovitch
Date: Wed Jan 13 23:57:53 UTC 2016
New revision: 406081
URL: https://svnweb.freebsd.org/changeset/ports/406081

Log:
  Document Kibana 4.x XSS vulnerabilty

  PR:		205961
  PR:		205962
  PR:		205963
  Security:	https://vuxml.FreeBSD.org/freebsd/a7a4e96c-ba50-11e5-9728-002590263bf5.html

Changes:
  head/security/vuxml/vuln.xml
Comment 6 Jason Unovitch freebsd_committer 2016-01-14 00:00:34 UTC
Closed PR again and set merge-quartely+... Fix MFH'd in https://svnweb.freebsd.org/changeset/ports/406044